API reference
All operations
INSPECTION

Uploads a video file for a specific inspection item.

POST/api/v2/inspections/record/videos/upload

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

multipart/form-datarequired
object
  • AssignedInspectionIdinteger · int32
  • AssignedItemIdinteger · int32
  • VideoFilefile
  • MobileVideoIdstring

Responses

Video uploaded successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataInspectionVideoUploadResult
  • assignedInspectionIdinteger · int32
  • assignedItemIdinteger · int32
  • videoIdinteger · int32
  • mobileVideoIdstring
  • fullUrlstring
  • previewUrlstringnullable